# Morse Converter (Desktop Client)

A writtenMorse and normal morse code converter.
A detailed description about this program can be found on [marcel-kapfer.de/writtenmorse](https://marcel-kapfer.de/writtenmorse).

## Prerequisites

 - including 2.0: Java 6 or higher
 - after 2.0: Java 8 or higher

## Contributing


1. Fork it
2. Create a feature branch with a meaningful name (`git checkout -b my-new-feature`)
3. Add yourself to the CONTRIBUTORS file
4. Commit your changes (`git commit -am 'Add some feature'`)
5. Push to your branch (`git push origin my-new-feature`)
6. Create a new pull request

If you have any questions feel free to contact me at [marcelmichaelkapfer@yahoo.co.nz](mailto:marcelmichaelkapfer@yahoo.co.nz), [Google+](https://plus.google.com/+MarcelMichaelKapfer), [Twitter](https://twitter.com/mmk2410), [GNUsocial](https://social.mmk2410.org/mmk2410), in a room at [phab.mmk2410.org](https://phab.mmk2410.org) or join the party at [irc.mmk2410.org](irc://irc.mmk2410.org).

If you want to contribute code to this project check if your additions match with the [Google Java Coding Guide](https://google.github.io/styleguide/javaguide.html) (you can download the XML file at [https://github.com/google/styleguide](https://github.com/google/styleguide)).

The repository is at [gitlab.com/mmk2410/mmk2410.org](https://gitlab.com/mmk2410/mmk2410.org) and the bug tracker [phab.mmk2410.org/maniphest](https://phab.mmk2410.org/maniphest).

## Packages

### Linux

#### Ubuntu

I created an Ubuntu repository for the app. You can use it by running the following lines:

```
sudo apt-add-repository ppa:mmk2410/morse-converter

sudo apt-get update

sudo apt-get install morse-converter
```

View this package repository at [Launchpad](https://launchpad.net/~mmk2410/+archive/ubuntu/morse-converter).
